org.eclipse.microprofile.lra.tck.participant.api

## Class NoLRAResource

- java.lang.Object
- - org.eclipse.microprofile.lra.tck.participant.api.NoLRAResource

    @ApplicationScoped
     @Path(value="nolraresource")
    public class NoLRAResource
    extends Object

### Field Summary

Fields
`static String` `NO_LRA_RESOURCE_PATH`
`static String` `NON_TRANSACTIONAL_WORK_PATH`

### Constructor Summary

Constructors
Constructor and Description
`NoLRAResource()`

### Method Summary

All Methods Instance Methods Concrete Methods
`jakarta.ws.rs.core.Response` `work2(URI lraId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NO_LRA_RESOURCE_PATH

    public static final String NO_LRA_RESOURCE_PATH

See Also:
  Constant Field Values

#### NON_TRANSACTIONAL_WORK_PATH

    public static final String NON_TRANSACTIONAL_WORK_PATH

See Also:
  Constant Field Values

### Constructor Detail

#### NoLRAResource

    public NoLRAResource()

### Method Detail

#### work2

    @PUT
     @Path(value="work")
    public jakarta.ws.rs.core.Response work2(@HeaderParam(value="Long-Running-Action")
                                                                       URI lraId)